package system

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type AdminOperateRecord struct {
	AdminOperateRecordId int       `orm:"column(admin_operate_record_id);pk" description:"id"`
	AdminId              int       `description:"系统客户id"`
	RealName             string    `description:"配置编码"`
	Uuid                 string    `description:"配置值"`
	Uri                  string    `description:"地址"`
	Params               string    `description:"参数"`
	Ip                   string    `description:"IP"`
	UserAgent            string    `description:"用户代理信息"`
	CreateTime           time.Time `description:"创建时间"`
	Header               string
}

func (item *AdminOperateRecord) Insert() (err error) {
	o := orm.NewOrm()
	_, err = o.Insert(item)
	return
}
